openapi: 3.0.3
info:
  title: Opcenter Intelligence oData APIs
  description: >-
    A set of public APIs is provided to:
    - Read data from Opcenter Intelligence Manufacturing Data Warehouse. All entities can be retrieved using these APIs. The APIs support the
    capability of filtering data. The APIs provide a mechanism for paginated access and are accessible from UI and server to server. To learn more about OData, please check the official site, where you can find the complete specifications of the protocol and features. In particular, refer to the OData v4.1 documentation section.
    - Opcenter Intelligence APIs can be used to perform analysis and KPI calculations within the supported Insights Hub Services. Specifically, these APIs return:
    1) The list of KPIs defined in Opcenter Intelligence, including their configuration data.
    2) KPI calculation results of:
        A single KPI, with an applied filter.
        A single KPI, with an applied filter and a grouping criterion.
        A single KPI, with an applied filter and a target matrix.
        Multiple KPIs, with an applied filter.
    
  version: 1.0.0
servers:
  - url: /api/ocproxy-1000001700/v3/
    description: Xcelerator compliant URL
tags:
  - name: oData
    description: Access to Opcenter Intelligence oData.   
  - name: KPIs
    description: Access to Opcenter Intelligence KPIs.
paths:
  /api/ocproxy-1000001700/v3/dwh/$metadata:
    get:
      tags:
        - oData
      summary: >-
        The service document provides information about the types of data
        available via the REST service and about the URLs under which the data
        can be accessed. The external application can get the full list of the
        exposed tables and all the information about specific tables like
        the fields, the keys, etc.
      description: Returns information about the exposed tables.
      responses:
        '200':
          description: The operation was successful.
          content:
            text/plain; charset=utf-8:
              examples:
                Service Document Metadata:
                  value: "{\n\_ \"@odata.context\": \"https:///api/ocproxy-1000001700/v3/dwh/$metadata\",\n\_ \"value\": [\n\_\_\_ {\n\_\_\_\_\_ \"name\": \"bm20_equipment\",\n\_\_\_\_\_ \"kind\": \"EntitySet\",\n\_\_\_\_\_ \"url\": \"bm20_equipment\"\n\_\_\_ },\n\_\_\_ {\n\_\_\_\_\_ \"name\": \"bm20_materialdefinition\",\n\_\_\_\_\_ \"kind\": \"EntitySet\",\n\_\_\_\_\_ \"url\": \"bm20_materialdefinition\"\n\_\_\_ },\n\_\_\_ {\n\_\_\_\_\_ \"name\": \"bm20_equipment\",\n\_\_\_\_\_ \"kind\": \"EntitySet\",\n\_\_\_\_\_ \"url\": \"bm20_equipment\"\n\_\_\_ },\n\_\_\_ {\n\_\_\_\_\_ \"name\": \"bm20_operationexecution\",\n\_\_\_\_\_ \"kind\": \"EntitySet\",\n\_\_\_\_\_ \"url\": \"bm20_operationexecution\"\n\_\_\_ },\n\_\_\_ {\n\_\_\_\_\_ \"name\": \"bm20_reasontree\",\n\_\_\_\_\_ \"kind\": \"EntitySet\",\n\_\_\_\_\_ \"url\": \"bm20_reasontree\"\n\_\_\_ },\n\_\_\_ {\n\_\_\_\_\_ \"name\": \"bm20_uom\",\n\_\_\_\_\_ \"kind\": \"EntitySet\",\n\_\_\_\_\_ \"url\": \"bm20_uom\"\n\_\_\_ },\n    ...\n  ]\n}"
                bm20_site Metadata:
                  value: "...\n\"bm20_site\": {\n\_\_\_\_\_ \"$Kind\": \"EntityType\",\n\_\_\_\_\_ \"$Key\": [\n\_\_\_\_\_\_\_ \"siteid\"\n\_\_\_\_\_ ],\n\_\_\_\_\_ \"siteid\": {\n\_\_\_\_\_\_\_ \"$Type\": \"Edm.Int16\"\n\_\_\_\_\_ },\n\_\_\_\_\_ \"timezoneid\": {\n\_\_\_\_\_\_\_ \"$Type\": \"Edm.Int32\"\n\_\_\_\_\_ },\n\_\_\_\_\_ \"description\": {\n\_\_\_\_\_\_\_ \"$Nullable\": true\n\_\_\_\_\_ },\n\_\_\_\_\_ \"latitude\": {\n\_\_\_\_\_\_\_ \"$Type\": \"Edm.Decimal\",\n\_\_\_\_\_\_\_ \"$Nullable\": true\n\_\_\_\_\_ },\n\_\_\_\_\_ \"longitude\": {\n\_\_\_\_\_\_\_ \"$Type\": \"Edm.Decimal\",\n\_\_\_\_\_\_\_ \"$Nullable\": true\n\_\_\_\_\_ },\n\_\_\_\_\_ \"name\": {\n\_\_\_\_\_\_\_ \"$Nullable\": true\n\_\_\_\_\_ },\n\_\_\_\_\_ \"timezone\": {\n\_\_\_\_\_\_\_ \"$Kind\": \"NavigationProperty\",\n\_\_\_\_\_\_\_ \"$Type\": \"Siemens.Mommi.DataExposition.Dwh.Service.Models.bm20_timezone\"\n\_\_\_\_\_ },\n..."
  /api/ocproxy-1000001700/v3/dwh/bm20_equipment:
    get:
      tags:
        - oData
      summary: Retrieves the Equipment.
      description: >-
        For a valid response, try integer IDs with value <= 5 or > 10. Other values
        will generate exceptions.
      responses:
        '200':
          description: The operation was successful.
          content:
            text/plain; charset=utf-8:
              examples:
                oData/bm_equipment:
                  value: |-
                    {
                       "@odata.context":"https"://internal-k8s-mindeksproxyappin-d82b0048c0-1416874739.eu-west-1.elb.amazonaws.com/dwh/$metadata#bm20_equipment,
                       "value":[
                          {
                             "equipmentid":1,
                             "equipmentsiteid":4,
                             "equipmentkey":"Mixer1",
                             "description":"Mixer1",
                             "name":"Mixer1"
                          },
                          {
                             "equipmentid":2,
                             "equipmentsiteid":4,
                             "equipmentkey":"Mixer2",
                             "description":"Mixer2",
                             "name":"Mixer2"
                          },
                          {
                             "equipmentid":3,
                             "equipmentsiteid":4,
                             "equipmentkey":"Vessel1",
                             "description":"Vessel1",
                             "name":"Vessel1"
                          },
                          {
                             "equipmentid":4,
                             "equipmentsiteid":4,
                             "equipmentkey":"Vessel2",
                             "description":"Vessel2",
                             "name":"Vessel2"
                          },
                          {
                             "equipmentid":5,
                             "equipmentsiteid":1,
                             "equipmentkey":"0005d28000000002",
                             "description":null,
                             "name":"Line1.Unloader"
                          }
                       ]
                    }
                oData/bm20_equipment?$expand=site:
                  value: |-
                    {
                       "@odata.context":"https"://internal-k8s-mindeksproxyappin-d82b0048c0-1416874739.eu-west-1.elb.amazonaws.com/dwh/$metadata#bm20_equipment(site()),
                       "value":[
                          {
                             "equipmentid":1,
                             "equipmentsiteid":4,
                             "equipmentkey":"Mixer1",
                             "description":"Mixer1",
                             "name":"Mixer1",
                             "site":{
                                "siteid":4,
                                "timezoneid":41,
                                "description":"SPS Mes",
                                "latitude":49.41,
                                "longitude":11.11,
                                "name":"Numberg"
                             }
                          },
                          {
                             "equipmentid":2,
                             "equipmentsiteid":4,
                             "equipmentkey":"Mixer2",
                             "description":"Mixer2",
                             "name":"Mixer2",
                             "site":{
                                "siteid":4,
                                "timezoneid":41,
                                "description":"SPS Mes",
                                "latitude":49.41,
                                "longitude":11.11,
                                "name":"Numberg"
                             }
                          },
                          {
                             "equipmentid":3,
                             "equipmentsiteid":4,
                             "equipmentkey":"Vessel1",
                             "description":"Vessel1",
                             "name":"Vessel1",
                             "site":{
                                "siteid":4,
                                "timezoneid":41,
                                "description":"SPS Mes",
                                "latitude":49.41,
                                "longitude":11.11,
                                "name":"Numberg"
                             }
                          },
                          {
                             "equipmentid":4,
                             "equipmentsiteid":4,
                             "equipmentkey":"Vessel2",
                             "description":"Vessel2",
                             "name":"Vessel2",
                             "site":{
                                "siteid":4,
                                "timezoneid":41,
                                "description":"SPS Mes",
                                "latitude":49.41,
                                "longitude":11.11,
                                "name":"Numberg"
                             }
                          },
                          {
                             "equipmentid":5,
                             "equipmentsiteid":1,
                             "equipmentkey":"0005d28000000002",
                             "description":null,
                             "name":"Line1.Unloader",
                             "site":{
                                "siteid":1,
                                "timezoneid":15,
                                "description":null,
                                "latitude":35.22,
                                "longitude":-80.84,
                                "name":"Charlotte"
                             }
                          }
                       ]
                    }
                oData/bm20_equipment?$expand=site&$skip=5:
                  value: |-
                    {
                       "@odata.context":"https"://internal-k8s-mindeksproxyappin-d82b0048c0-1416874739.eu-west-1.elb.amazonaws.com/dwh/$metadata#bm20_equipment(site()),
                       "value":[
                          {
                             "equipmentid":6,
                             "equipmentsiteid":1,
                             "equipmentkey":"0005d28000000003",
                             "description":null,
                             "name":"Line1.Machine",
                             "site":{
                                "siteid":1,
                                "timezoneid":15,
                                "description":null,
                                "latitude":35.22,
                                "longitude":-80.84,
                                "name":"Charlotte"
                             }
                          },
                          {
                             "equipmentid":7,
                             "equipmentsiteid":1,
                             "equipmentkey":"0005d28000000004",
                             "description":null,
                             "name":"Line1.Loader",
                             "site":{
                                "siteid":1,
                                "timezoneid":15,
                                "description":null,
                                "latitude":35.22,
                                "longitude":-80.84,
                                "name":"Charlotte"
                             }
                          },
                          {
                             "equipmentid":8,
                             "equipmentsiteid":1,
                             "equipmentkey":"0005d28000000005",
                             "description":null,
                             "name":"Line1.UnloaderBelt",
                             "site":{
                                "siteid":1,
                                "timezoneid":15,
                                "description":null,
                                "latitude":35.22,
                                "longitude":-80.84,
                                "name":"Charlotte"
                             }
                          },
                          {
                             "equipmentid":9,
                             "equipmentsiteid":1,
                             "equipmentkey":"0005d28000000006",
                             "description":null,
                             "name":"Line1.LoaderBelt",
                             "site":{
                                "siteid":1,
                                "timezoneid":15,
                                "description":null,
                                "latitude":35.22,
                                "longitude":-80.84,
                                "name":"Charlotte"
                             }
                          },
                          {
                             "equipmentid":10,
                             "equipmentsiteid":1,
                             "equipmentkey":"0005d28000000007",
                             "description":null,
                             "name":"Line1.MachinePart",
                             "site":{
                                "siteid":1,
                                "timezoneid":15,
                                "description":null,
                                "latitude":35.22,
                                "longitude":-80.84,
                                "name":"Charlotte"
                             }
                          }
                       ]
                    }
        '400':
          description: Invalid request.
        '404':
          description: bm20_equipment was not found.
  /api/ocproxy-1000001700/v3/dwh/bm20_materialdefinition:
    get:
      tags:
        - oData
      summary: Retrieves the Material Definitions.
      description: >-
        For a valid response, try integer IDs with value <= 5 or > 10. Other values
        will generate exceptions.
      responses:
        '200':
          description: The operation was successful.
          content:
            text/plain; charset=utf-8:
              examples:
                bm_operationexecution:
                  value: test
        '400':
          description: Invalid request.
        '404':
          description: bm20_materialdefinition was not found.
  /api/ocproxy-1000001700/v3/dwh/bm20_operationexecution:
    get:
      tags:
        - oData
      summary: Retrieves the Operation Executions (Work Orders).
      description: >-
        For a valid response, try integer IDs with value <= 5 or > 10. Other values
        will generate exceptions.
      responses:
        '200':
          description: The operation was successful.
          content:
            text/plain; charset=utf-8:
              examples:
                bm_operationexecution:
                  value: |-
                    {
                       "@odata.context":"https"://internal-k8s-mindeksproxyappin-d82b0048c0-1416874739.eu-west-1.elb.amazonaws.com/dwh/$metadata#bm20_operationexecution,
                       "value":[
                          {
                             "operationexecutionid":1,
                             "operationexecutionsiteid":1,
                             "operationexecutionkey":"0006548000000005",
                             "billofmaterialid":null,
                             "equipmentid":11,
                             "materialdefinitionid":null,
                             "operationexecutionstatusid":1,
                             "operationschedulingid":null,
                             "plannedquantityuomid":null,
                             "uomid":10,
                             "workflowid":null,
                             "description":null,
                             "name":"APPDEV_1112MfgOrder_001",
                             "plannedquantity":null,
                             "producedquantity":96.0,
                             "reworkedquantity":null,
                             "scrapquantity":null,
                             "startdatetime":null,
                             "startdatetimelocal":null,
                             "enddatetime":null,
                             "enddatetimelocal":null,
                             "duration":null
                          },
                          {
                             "operationexecutionid":2,
                             "operationexecutionsiteid":1,
                             "operationexecutionkey":"0006548000000006",
                             "billofmaterialid":null,
                             "equipmentid":11,
                             "materialdefinitionid":null,
                             "operationexecutionstatusid":2,
                             "operationschedulingid":null,
                             "plannedquantityuomid":null,
                             "uomid":10,
                             "workflowid":null,
                             "description":null,
                             "name":"APPDEV_1112MfgOrder_002",
                             "plannedquantity":null,
                             "producedquantity":61.0,
                             "reworkedquantity":null,
                             "scrapquantity":null,
                             "startdatetime":null,
                             "startdatetimelocal":null,
                             "enddatetime":null,
                             "enddatetimelocal":null,
                             "duration":null
                          },
                          {
                             "operationexecutionid":3,
                             "operationexecutionsiteid":1,
                             "operationexecutionkey":"0006548000000007",
                             "billofmaterialid":null,
                             "equipmentid":11,
                             "materialdefinitionid":null,
                             "operationexecutionstatusid":3,
                             "operationschedulingid":null,
                             "plannedquantityuomid":null,
                             "uomid":10,
                             "workflowid":null,
                             "description":null,
                             "name":"APPDEV_1112MfgOrder_003",
                             "plannedquantity":null,
                             "producedquantity":91.0,
                             "reworkedquantity":null,
                             "scrapquantity":null,
                             "startdatetime":null,
                             "startdatetimelocal":null,
                             "enddatetime":null,
                             "enddatetimelocal":null,
                             "duration":null
                          },
                          {
                             "operationexecutionid":4,
                             "operationexecutionsiteid":1,
                             "operationexecutionkey":"0006548000000008",
                             "billofmaterialid":null,
                             "equipmentid":11,
                             "materialdefinitionid":null,
                             "operationexecutionstatusid":null,
                             "operationschedulingid":null,
                             "plannedquantityuomid":null,
                             "uomid":10,
                             "workflowid":null,
                             "description":"Manufacturing Order 11",
                             "name":"Manufacturing Order 11",
                             "plannedquantity":null,
                             "producedquantity":300.0,
                             "reworkedquantity":null,
                             "scrapquantity":null,
                             "startdatetime":null,
                             "startdatetimelocal":null,
                             "enddatetime":null,
                             "enddatetimelocal":null,
                             "duration":null
                          },
                          {
                             "operationexecutionid":5,
                             "operationexecutionsiteid":1,
                             "operationexecutionkey":"0006548000000009",
                             "billofmaterialid":null,
                             "equipmentid":11,
                             "materialdefinitionid":null,
                             "operationexecutionstatusid":1,
                             "operationschedulingid":null,
                             "plannedquantityuomid":null,
                             "uomid":10,
                             "workflowid":null,
                             "description":"Mfg Order 5 description",
                             "name":"Manufacturing Order 51",
                             "plannedquantity":null,
                             "producedquantity":250.0,
                             "reworkedquantity":null,
                             "scrapquantity":null,
                             "startdatetime":"2020-07-08T00:00:00Z",
                             "startdatetimelocal":null,
                             "enddatetime":null,
                             "enddatetimelocal":null,
                             "duration":null
                          }
                       ]
                    }
        '400':
          description: Invalid request.
        '404':
          description: bm20_operationexecution was not found.
  /api/ocproxy-1000001700/v3/dwh/bm20_operationresponse:
    get:
      tags:
        - oData
      summary: Retrieves the Operation Responses (Operations).
      description: >-
        For a valid response, try integer IDs with value <= 5 or > 10. Other values
        will generate exceptions.
      responses:
        '200':
          description: The operation was successful.
          content:
            text/plain; charset=utf-8:
              examples:
                bm_operationexecution:
                  value: test
        '400':
          description: Invalid request.
        '404':
          description: bm20_operationresponse was not found.
  /api/ocproxy-1000001700/v3/dwh/bm20_operationscheduling:
    get:
      tags:
        - oData
      summary: Retrieves the Operation Scheduling.
      description: >-
        For a valid response, try integer IDs with value <= 5 or > 10. Other values
        will generate exceptions.
      responses:
        '200':
          description: The operation was successful.
          content:
            text/plain; charset=utf-8:
              examples:
                bm_operationexecution:
                  value: test
        '400':
          description: Invalid request.
        '404':
          description: bm20_operationscheduling was not found.
  /api/ocproxy-1000001700/v3/dwh/bm20_operationrequest:
    get:
      tags:
        - oData
      summary: Retrieves the Operation Requests (Scheduled Operations).
      description: >-
        For a valid response, try integer IDs with value <= 5 or > 10. Other values
        will generate exceptions.
      responses:
        '200':
          description: The operation was successful.
          content:
            text/plain; charset=utf-8:
              examples:
                bm_operationexecution:
                  value: test
        '400':
          description: Invalid request.
        '404':
          description: bm20_operationrequest was not found.
  /api/ocproxy-1000001700/v3/kpi/configurations:
    get:
      tags:
        - Kpi
      summary: >-
        Returns the list of KPIs defined in Opcenter Intelligence including their configuration data.
      description: Returns information about the available KPIs.
      responses:
        '200':
          description: The operation was successful.
          content:
            application/json; charset=utf-8:
              examples:
                KPIs Configurations:
                  value: "{\"Result\":[{\"KpiId\":\"c4210a2e-546b-4276-b2f5-37ed088943fb\",\"KpiName\":\"Availability\",\"Uom\":\"%\",\"KpiFilters\":[{\"FilterId\":\"f4408b57-dd10-49b0-b970-fd77fdbed1c5\",\"FilterName\":\"OPCIN_DEFAULT_FILTER\",\"FilterParameters\":[\"@SiteName\",\"@AssetKey\",\"@FromTime\",\"@ToTime\"]},{\"FilterId\":\"0eac9865-0069-4a75-3b04-08dc9cfc340c\",\"FilterName\":\"SIMPLE_FILTER\",\"FilterParameters\":[\"@SiteName\",\"@EquipmentName\",\"@TimeDefault_Minute\",\"@TimeDefault_Minute1\"]}],\"KpiGroupings\":[{\"GroupingId\":\"dc1068dc-8648-4fb5-ba8e-a96a6a584880\",\"GroupingName\":\"GroupByEquipment\",\"GroupingAttributes\":[\"Equipment Name\"],\"GroupingAttributesInfo\":[{\"AttributeName\":\"Equipment Name\",\"AttributeType\":\"String\"}]},{\"GroupingId\":\"99185809-9762-4849-c912-08dc9f568092\",\"GroupingName\":\"GroupByOrder\",\"GroupingAttributes\":[\"OperationExecution Name\"],\"GroupingAttributesInfo\":[{\"AttributeName\":\"OperationExecution Name\",\"AttributeType\":\"String\"}]},{\"GroupingId\":\"28cf5c4f-8c83-4f18-c922-08dc9f568092\",\"GroupingName\":\"GroupByProduct\",\"GroupingAttributes\":[\"MaterialDefinition Name\"],\"GroupingAttributesInfo\":[{\"AttributeName\":\"MaterialDefinition Name\",\"AttributeType\":\"String\"}]}],\"KpiTargetMatrices\":[],\"MinValue\":null,\"MaxValue\":null,\"TargetValues\":[],\"TargetCriteria\":null,\"TargetType\":0,\"IsTimeRelated\":false,\"UnitOfTime\":null,\"TimeValue\":null,\"ValueType\":0}],\"Messages\":[],\"OperationDescription\":\"\",\"OperationSuccessful\":true,\"Sender\":null}"
  /api/ocproxy-1000001700/v3/kpi/calculate:
    post:
      tags:
        - Kpi
      summary: >-
        Returns values of calculated KPIs based on the input which includes KPI Id, Filter Id, Filter parameters, Grouping Id and Target Matrix Id. The input can include multiple KPI calculation requests.
      description: Returns values of calculated KPIs based on the input which includes KPI Id, Filter Id, Filter parameters, Grouping Id and Target Matrix Id. The input can include multiple KPI calculation requests.
      requestBody:
        required: true
        content:          
          application/json:
            schema:
              type: array
              example: [
                {
                  "kpiId": "c4210a2e-546b-4276-b2f5-37ed088943fb",
                  "FilterId":"e440aeed-121b-4578-84b9-776035982f4c",
                  "FilterParameters":[
                    {
                      "ParameterName":"@SiteName",
                      "ParameterValue":"SPS Mes"
                    },
                    {
                      "ParameterName":"@AssetKey",
                      "ParameterValue":"Plant.Mixer01"
                    },
                    {
                      "ParameterName":"@FromTime",
                      "ParameterValue":"2020-07-08T00:00:00Z"
                    },
                    {
                      "ParameterName":"@ToTime",
                      "ParameterValue":"2020-07-09T00:00:00Z"
                    }                  
                  ],
                  "GroupingId": "",
                  "TargetMatrixId": ""
                }
              ]
              properties:
                kpiId:
                  type: string
                FilterId:
                  type: string
                FilterParameters:
                  type: array
                  items:
                    type: object
                    properties:
                      ParameterName:
                        type: string
                      ParameterValue:
                        type: string
                GroupingId:
                  type: string
                TargetMatrixId:
                  type: string  
              required:
                - kpiId      
      responses:
        '200':
          description: The operation was successful.
          content:
            application/json; charset=utf-8:
              examples:
                KPIs Configurations:
                  value: "{\"Result\":[{\"KpiId\":\"c4210a2e-546b-4276-b2f5-37ed088943fb\",\"KpiName\":\"Availability\",\"Uom\":\"%\",\"KpiFilters\":[{\"FilterId\":\"f4408b57-dd10-49b0-b970-fd77fdbed1c5\",\"FilterName\":\"OPCIN_DEFAULT_FILTER\",\"FilterParameters\":[\"@SiteName\",\"@AssetKey\",\"@FromTime\",\"@ToTime\"]},{\"FilterId\":\"0eac9865-0069-4a75-3b04-08dc9cfc340c\",\"FilterName\":\"SIMPLE_FILTER\",\"FilterParameters\":[\"@SiteName\",\"@EquipmentName\",\"@TimeDefault_Minute\",\"@TimeDefault_Minute1\"]}],\"KpiGroupings\":[{\"GroupingId\":\"dc1068dc-8648-4fb5-ba8e-a96a6a584880\",\"GroupingName\":\"GroupByEquipment\",\"GroupingAttributes\":[\"Equipment Name\"],\"GroupingAttributesInfo\":[{\"AttributeName\":\"Equipment Name\",\"AttributeType\":\"String\"}]},{\"GroupingId\":\"99185809-9762-4849-c912-08dc9f568092\",\"GroupingName\":\"GroupByOrder\",\"GroupingAttributes\":[\"OperationExecution Name\"],\"GroupingAttributesInfo\":[{\"AttributeName\":\"OperationExecution Name\",\"AttributeType\":\"String\"}]},{\"GroupingId\":\"28cf5c4f-8c83-4f18-c922-08dc9f568092\",\"GroupingName\":\"GroupByProduct\",\"GroupingAttributes\":[\"MaterialDefinition Name\"],\"GroupingAttributesInfo\":[{\"AttributeName\":\"MaterialDefinition Name\",\"AttributeType\":\"String\"}]}],\"KpiTargetMatrices\":[],\"MinValue\":null,\"MaxValue\":null,\"TargetValues\":[],\"TargetCriteria\":null,\"TargetType\":0,\"IsTimeRelated\":false,\"UnitOfTime\":null,\"TimeValue\":null,\"ValueType\":0}],\"Messages\":[],\"OperationDescription\":\"\",\"OperationSuccessful\":true,\"Sender\":null}"
components:
  schemas:
    ServiceDocument:
      type: object
      properties:
        Equipmentid:
          type: integer
          format: int64
          example: 10
        EquipmentKey:
          type: string
          format: string
          example: Plant.Mixer01
        Name:
          type: string
          format: string
          example: Mixer01
        Description:
          type: string
          format: string
      xml:
        name: Service Document
    bm20_Equipment:
      type: object
      properties:
        Equipmentid:
          type: integer
          format: int64
          example: 10
        EquipmentKey:
          type: string
          format: string
          example: Plant.Mixer01
        Name:
          type: string
          format: string
          example: Mixer01
        Description:
          type: string
          format: string
      xml:
        name: bm20_equipment
